API keys für Service-Benutzer auflisten
curl --request GET \
--url https://api.devin.ai/v3beta1/enterprise/service-users/{service_user_id}/api-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3beta1/enterprise/service-users/{service_user_id}/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3beta1/enterprise/service-users/{service_user_id}/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"api_key_id": "<string>",
"api_key_name": "<string>",
"created_at": 123,
"expires_at": 123,
"is_active": true,
"last_used_at": 123,
"revoked_at": 123
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}API Keys für Service-Benutzer (Enterprise) [Beta]
API keys für Service-Benutzer auflisten
API keys für einen Service-Benutzer auflisten, optional nach Status gefiltert.
GET
/
v3beta1
/
enterprise
/
service-users
/
{service_user_id}
/
api-keys
API keys für Service-Benutzer auflisten
Berechtigungen
ManageAccountServiceUsers auf Enterprise-Ebene.Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Pfadparameter
Service-Benutzer-ID (Präfix: service-user-)
Beispiel:
"service-user-abc123def456"
Abfrageparameter
Verfügbare Optionen:
active, revoked, expired, all Antwort
Erfolgreiche Antwort
Show child attributes
Show child attributes
Cursor zum Abrufen der nächsten Seite oder None, wenn dies die letzte Seite ist.
Gibt an, ob nach dieser Seite weitere Eintrag verfügbar sind.
Optionale Gesamtanzahl (kann aus Performance-Gründen weggelassen werden).
⌘I

